<?
 /*SCRIPT PARA ANULAR DOCUMENTOS DE PAGO */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn or !$iddoc or !$txtndoc){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Anular":
                  $mtipo="";
                  if($tabla=="cp_recibos"){

                  $qcargos=mysql_query("select *
                                        from cp_detalle_recibos
                                        where numero_doc ='$txtndoc'
                                        and tipo_doc = '$iddoc'");

                  while($idet=mysql_fetch_array($qcargos)){
                       $sqldet="update cp_cargos
                                set saldo = saldo + {$idet[valor]},
                                documento='',
                                tipo_doc='',
                                fecha_pago=''
                                where id = '{$idet[id_cargo]}'";
//                       echo $sqldet."<br>";
                       $res1=mysql_query($sqldet);
                  }
//                  echo "<hr>";

                    $sql="update cp_recibos
                          set
                          anulado = 'S',
                          nombre='A N U L A D O',
                          total=0,
                          ef=0,
                          vdp=0,
                          vtc=0,
                          vchq=0,
                          vvale=0,
                          fecha_anulado='$fechahora',
                          usuario_anula='$uuser'
                          where numero ='$txtndoc' and tipo = '$iddoc'";


                    $sql2="delete from cp_detalle_recibos
                           where numero_doc='$txtndoc' and tipo_doc='$iddoc'";
                           
                    $sql3="delete from cp_cargos
                           where tipo_doc='$iddoc'
                           and documento='$txtndoc'
                           and tipo='OC'";
                  }

                  //echo $sql."<br>$sql2";
                  $res2=mysql_query($sql);
                  $res3=mysql_query($sql2);
                  $res4=mysql_query($sql3);


                  alert("El Documento fue ANULADO\\nNo. $txtndoc\\nTalonario: ".get_talonario($iddoc),"frm_cp_anulardocto.php");

   break;

   case "Eliminar":
                  $mtipo="";

                  if($tabla=="cp_cobros"){
                    if($iddoc==1){$mtipo="FC";}
                    if($iddoc==2){$mtipo="RC";}
                    $sql="delete from cp_cobros
                          where numero ='$txtndoc' and tipo = '$mtipo'";

                    $sql2="delete from cp_det_cobros
                           where cobro='$txtndoc' and tipo='$mtipo'";

                  }

                  if($tabla=="cp_recibos"){

                  $qcargos=mysql_query("select *
                                        from cp_detalle_recibos
                                        where numero_doc ='$txtndoc'
                                        and tipo_doc = '$iddoc'");

                  while($idet=mysql_fetch_array($qcargos)){
                       $sqldet="update cp_cargos
                                set saldo = saldo + {$idet[valor]},
                                documento='',
                                tipo_doc='',
                                fecha_pago=''
                                where id = '{$idet[id_cargo]}'";
                       $res1=mysql_query($sqldet);
                  }
                    $sql="delete from cp_recibos
                          where numero ='$txtndoc' and tipo = '$iddoc'";

                    $sql2="delete from cp_detalle_recibos
                           where numero_doc='$txtndoc' and tipo_doc='$iddoc'";
                    
                    $sql3="delete from cp_cargos
                           where tipo_doc='$iddoc'
                           and documento='$txtndoc'
                           and tipo='OC'";
                  }
                  $res2=mysql_query($sql);
                  $res3=mysql_query($sql2);
                  $res4=mysql_query($sql3);

                  alert("El Documento fue ELIMINADO\\nNo. $txtndoc\\nTalonario: ".get_talonario($iddoc),"frm_cp_eliminardocto.php");
   break;
   
   case "anular_boleta":
                  $txtboleta=dec($txtndoc);
                  $qdr=mysql_query("select * 
                                    from cp_detalle_recibos
                                    where 
                                    numero_doc='$txtboleta'
                                    and tipo_doc='4'");
                  
                  while($idr=mysql_fetch_array($qdr)){
                  $sql="update 
                            cp_cargos 
                        set 
                            saldo = saldo+{$idr[valor]},
                            documento='', 
                            tipo_doc='',
                            fecha_pago=''
                        where 
                            tipo_doc='4'
                            and documento='$txtboleta'
                            and id = '{$idr[id_cargo]}'";
                  $res=mysql_query($sql);
                  //echo $sql."<br>";
                  }
                  
                  $deldr=mysql_query("delete from cp_detalle_recibos where tipo_doc='4' and numero_doc='$txtboleta'");
                  $delr=mysql_query("delete from cp_recibos where tipo='4' and numero='$txtboleta'");
                  
                  alert("Los cargos operados con la boleta #$txtboleta\\nfueron anulados satisfactoriamente","frm_cp_anular_boleta.php");
   break;
   
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
